package com.anthonycicchetti.slackbot

fun String.toSpongemock(): String {
    return this
        .split(' ')
        .map { word ->
            word.mapIndexed { index, char ->
                if (!index.isOdd()) {
                    char.toUpperCase()
                } else {
                    char.toLowerCase()
                }
            }.joinToString("")
        }.joinToString(" ")
}

fun String.toClapText(): String {
    return this
        .split(' ')
        .joinToString(separator = " 👏 ")
}

private fun Int.isOdd(): Boolean = this.rem(2) == 0